// Variables
$church-purple: #a61d7f;
body {
	background-color: #87878a;
}

.mbpm-nav {
	margin: 10px 5px;
	padding: 10px 20px;
	background-color: #ffffff;
	font-family: Roboto, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	font-weight: 400;
	border-radius: 10px;
}
.mbpm-a-Link {
	font-size: x-large;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
	color: #000000;
	position: relative;
	display: grid;
	z-index: 150;
	transition: color 0.6s;
	&::before {
		content: '';
		position: absolute;
		width: 100%;
		height: 3px;
		background: $church-purple;
		top: 95%;
		animation: endHover 0.2s cubic-bezier(1, 0, 0.58, 0.97) 1 both;
		z-index: 100;
	}
	&:hover::before {
		z-index: 100;
		animation: startHover 0.2s cubic-bezier(1, 0, 0.58, 0.97) 1 both;
	}
	&:hover {
		text-shadow: 0 0 12px $church-purple;
		color: #87878a;
	}
}

@keyframes startHover {
	0% {
		width: 0;
		left: 50%;
		right: auto;
	}
	100% {
		width: 100%;
		left: 0;
		right: auto;
	}
}

@keyframes endHover {
	0% {
		width: 100%;
		left: 0;
		right: auto;
	}
	100% {
		width: 0;
		left: 50%;
		right: auto;
	}
}
